Bug 1156184 - open ceph ports on ceph storage node
Summary: open ceph ports on ceph storage node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Scott Seago
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On: 1156183
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-23 18:23 UTC by Crag Wolfe
Modified: 2014-11-04 17:04 UTC (History)
9 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.4.10-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1156183
Environment:
Last Closed: 2014-11-04 17:04:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Comment 3 Mike Burns 2014-10-23 20:25:12 UTC
https://github.com/theforeman/staypuft/pull/366

Comment 7 Mike Burns 2014-10-24 14:58:07 UTC
doc text is added in bug 1156183

Comment 8 Alexander Chuzhoy 2014-10-24 15:45:09 UTC
Verified:
rhel-osp-installer-0.4.5-2.el6ost.noarch
ruby193-rubygem-staypuft-0.4.10-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-foreman-installer-2.0.31-1.el6ost.noarch
openstack-puppet-modules-2014.1-24.el6ost.noarch


There's the following line in the iptables output on the host installed as ceph storage:
ACCEPT     tcp  --  anywhere             anywhere             multiport dports 6800:6810 /* 001 ceph osd incoming */

The puppet class: quickstack::firewall::ceph_osd is applied to the hostgroup Ceph Storage Node (OSD)

Comment 10 errata-xmlrpc 2014-11-04 17:04:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.